test-cloud
latest
false
- 入门指南
- 身份验证
- 作用域和权限
- 平台管理 API
重要 :
新发布内容的本地化可能需要 1-2 周的时间才能完成。

Test Cloud API 指南
上次更新日期 2026年4月7日
更新机器人帐户
更新有关指定机器人帐户的信息。
API 端点
PUT {accessURL}/{organizationName}/identity_/api/Setting
将所有端点路径中的{accessURL}替换为您的云平台的基本 URL:
| Cloud Platform | 访问 URL |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud 公共部门版 | https://govcloud.uipath.us/ |
| Test Cloud 专用版 | https://{customURL}.dedicated.uipath.com/ |
作用域
需要以下作用域:
- PM.RobotAccount
- PM.RobotAccount.Write
请求标头
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
备注:
要获取{access_token} ,请确保通过此处描述的其中一种方法进行身份验证。
路径参数
| 参数 | 数据类型 | 描述 |
|---|---|---|
robotAccountId (必填) | 字符串 | 要更新的机器人帐户 ID。 |
请求正文
请求正文包含机器人帐户所属的组织 ID,以及要更新的信息(例如组成员身份)。
{
"partitionGlobalId": "string",
"displayName": "string",
"groupIDsToAdd": [
"string"
],
"groupIDsToRemove": [
"string"
]
}
{
"partitionGlobalId": "string",
"displayName": "string",
"groupIDsToAdd": [
"string"
],
"groupIDsToRemove": [
"string"
]
}
响应
200 OK
系统将使用您提供的信息更新自定义组。
请求示例
假设您收集了构建 API 调用所需的所有信息。
- 您的
{baseURL}为: https://cloud.uipath.com/{organizationName}/identity - 您的
{access_token}为:1234(出于长度考虑)。 {partitionGlobalId}为:3fa85f64-5717-4562-b3fc-2c963f66afa6- 您希望将 ID 为
88-uv的机器人帐户分配给组 IDalumni-02。
调用应类似于以下示例 (cURL):
curl --location --request PUT 'https://cloud.uipath.com/{organizationName}/identity_/api/RobotAccount/88-uv' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"displayName": "Roby",
"groupIDsToAdd": [
"alumni-02"
],
"groupIDsToRemove": []
}'
curl --location --request PUT 'https://cloud.uipath.com/{organizationName}/identity_/api/RobotAccount/88-uv' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"displayName": "Roby",
"groupIDsToAdd": [
"alumni-02"
],
"groupIDsToRemove": []
}'
以下是成功调用的响应:
{
"id": "88-uv",
"name": "Roby",
"displayName": "Roby",
"creationTime": "2021-10-20T12:16:16.6492925",
"lastLoginTime": null,
"groupIds": [
"alumni-02",
"gryff-01"
]
}
{
"id": "88-uv",
"name": "Roby",
"displayName": "Roby",
"creationTime": "2021-10-20T12:16:16.6492925",
"lastLoginTime": null,
"groupIds": [
"alumni-02",
"gryff-01"
]
}